﻿// Управление составом используемых правок
//
// BSLLS:NestedFunctionInParameters-off - без лишних переменных выполнение быстрее
// BSLLS:EmptyRegion-off - пустые области разрешены

#Область ПрограммныйИнтерфейс

// Истина, если правка используется
//
// Параметры: 
// 	Идентификатор - Строка - Идентификатор правки
//
// Возвращаемое значение: 
// 	Булево
//
Функция Включена(Идентификатор) Экспорт
	
	// Типовая ошибка - передача вместо идентификатора из оптерп_Идентификатор
	// описания из оптерп_Состав
	Если ТипЗнч(Идентификатор) <> Тип("Строка") Тогда
		ВызватьИсключение НСтр("ru = 'Неверный тип идентификатора! Обратитесь к разработчикам.'");
	КонецЕсли;
	
	Возврат оптерп_ПравкаПовтИсп.Включена(Идентификатор);
	
КонецФункции // Включена 

#КонецОбласти

#Область СлужебныйПрограммныйИнтерфейс

#КонецОбласти

#Область СлужебныеПроцедурыИФункции

#КонецОбласти

// BSLLS:NestedFunctionInParameters-on
// BSLLS:EmptyRegion-on
 